[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: py2.7 used by default when py2 and py3 are both available

From: Nathan Hartman <hartman.nathan_at_gmail.com>
Date: Fri, 15 May 2020 14:47:05 -0400

On Fri, May 15, 2020 at 2:14 PM Branko Čibej <brane_at_apache.org> wrote:

> On 15.05.2020 19:19, Daniel Shahaf wrote:
> > Looking at find_python.sh, that's exactly what it does. Shouldn't we
> > change it to use Python 3 in preference to Python 2, given that we've
> > documented py2 as no longer supported?
>
>
> Did we actually document that? My impression was that we want to support
> both.

Sort of.

We documented in the 1.14 release notes that Python 2 is being phased out.

The idea being, it works (for now) and we'll try to keep it that way,
but because
the life of 1.14 extends so far past Py2 EOL, any later 1.14.x could drop
that support if it becomes too difficult to maintain. (Suppose no SVN dev
has a working Py2 install because our OSes no longer package it, for
example.)

Nathan
Received on 2020-05-15 20:47:28 CEST

This is an archived mail posted to the Subversion Dev mailing list.